# Rescale

## Brief Description

Rescale the image between two given values.

## Tags

Image Manipulation

## Long Description

This application scales the given image pixel intensity between two given values. By default min (resp. max) value is set to 0 (resp. 255).

## Parameters

- [param] -in <string> The image to scale.. Mandatory: True. Default Value: ""
- [param] -out <string> The rescaled image filename.. Mandatory: True. Default Value: ""
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -outmin <float> Minimum value of the output image.. Mandatory: False. Default Value: "0"
- [param] -outmax <float> Maximum value of the output image.. Mandatory: False. Default Value: "255"

## Limitations

None

## Authors

OTB-Team

## See Also

## Example of use

- in: QB_Toulouse_Ortho_PAN.tif

- out: rescaledImage.png uchar

- outmin: 0

- outmax: 255